Technology Requirements

Minimal Requirements for accessing Augustana University Moodle and Email 

Computer Requirements

You must be comfortable and confident with basic computer tasks such as email, attaching files, using the Internet, word processing, creating presentations, updating files on your hard drive, etc.

  • A resource person to help you with basic computer help, if you need assistance.
  • A computer system available in your home or school that allows access to moodle.augie.edu, YouTube, and sakai.learnersedgeinc.com.
  • PCs must have Windows 7 or 10 operating system.  Mac should have a newer OS X.
  • Computers should have at least 1 GB RAM, and sufficient hard drive space to hold files.
  • Broadband Internet connection such as Cable/DSL/Satellite. All rural areas in the US are covered by satellite now. Dial up connections are NOT acceptable.
  • Speaker and microphone
  • Scanner or fax may be needed for some courses
  • A printer
  • Additional software may need to be purchased for some courses

Software and Plugins Needed

  1. You will be assigned an Augustana email account.
  1. Our system is best viewed through a web browser, such as Mozilla Firefox, Google Chrome, Internet Explorer, and other similar browsers. Some features may not work with all browsers such as Safari, Opera or Netscape. Do not view through AOL.
  1. Some of the course documents use Adobe Acrobat format (.pdf). Download Adobe Reader if not currently installed.
  1. While you are an Augustana University student, you have access to Microsoft Office 365.  You may download it through the my.augie.edu portal.  Click the Augie Life tab and then the ITS-Helpdesk tab/link.  It is available for both PCs and Macs.  (Please note that it may not work with Chromebooks or iPads.  Online versions of Word are available, but may not have all of the features that Office 365 has.)
  1. Some courses may have multimedia animations created using Adobe Flash that require you to have the Flash Plugin installed on your computer.
  1. In order to view some animations you will need Shockwave.
  1. Most courses will require the use of a media player, Microsoft Media Player (for Windows) or Quicktime (for Mac). (Update to the latest version.)
  1. Courses require the most recent version of Java installed.